Qore Programming Language 0.8.8

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Functions | Variables
QoreNullNode.h File Reference

### (6086)

`#include <qore/AbstractQoreNode.h>`
Include dependency graph for QoreNullNode.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | QoreNullNode
| Qore's SQL "NULL" parse tree/value type, not-referenced counted, not dynamically allocated. More...

## Functions
static bool | is_null (const AbstractQoreNode *n)
| use this function to test for NULL
static QoreNullNode * | null ()
| returns a pointer to Null

## Variables
DLLEXPORT QoreNullNode | Null
| the global and unique NULL value in Qore

## Detailed Description

defines the QoreNullNode class